import React from 'react';
import { RouteComponentProps } from 'react-router-dom';
import ResourceJSON from '../../../../backend/decorators/resource-json.interface';
import RecordJSON from '../../../../backend/decorators/record-json.interface';
declare type Props = {
    resource: ResourceJSON;
    record: RecordJSON;
    actionPerformed?: (actionName: string) => any;
    isLoading?: boolean;
    onSelect?: (record: RecordJSON) => void;
    isSelected?: boolean;
};
declare class RecordInList extends React.PureComponent<Props & RouteComponentProps> {
    private actionName;
    constructor(props: any);
    handleClick(event: React.MouseEvent<HTMLTableRowElement, MouseEvent>): void;
    render(): React.ReactChild;
}
declare const _default: React.ComponentClass<Pick<Props & RouteComponentProps<{}, import("react-router").StaticContext, any>, "record" | "resource" | "onSelect" | "actionPerformed" | "isLoading" | "isSelected"> & {
    wrappedComponentRef?: ((instance: RecordInList | null) => void) | React.RefObject<RecordInList> | null | undefined;
}, any> & import("react-router").WithRouterStatics<typeof RecordInList>;
export default _default;
